### Method

# Gio DBusMethodInvocation return_value_with_unix_fd_list

since: 2.30

#### Declaration

    void
    g_dbus_method_invocation_return_value_with_unix_fd_list (
      GDBusMethodInvocation* invocation,
      GVariant* parameters,
      GUnixFDList* fd_list
    )

#### Description

Like `g_dbus_method_invocation_return_value()` but also takes a `GUnixFDList`.

This method is only available on UNIX.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.30

#### Parameters

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with out parameters for the method or `NULL` if not passing any parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.